org.apache.cassandra.locator

## Class YamlFileNetworkTopologySnitch.TopologyConfig

- java.lang.Object
- - org.apache.cassandra.locator.YamlFileNetworkTopologySnitch.TopologyConfig

- Enclosing class:
    YamlFileNetworkTopologySnitch

      public static class YamlFileNetworkTopologySnitch.TopologyConfig
      extends java.lang.Object

  Root object type for the YAML topology configuration.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `java.lang.String` | `default_dc_name`
    `java.lang.String` | `default_rack_name`
    `java.util.List<YamlFileNetworkTopologySnitch.Datacenter>` | `topology`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `YamlFileNetworkTopologySnitch.TopologyConfig()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### topology

          public java.util.List<YamlFileNetworkTopologySnitch.Datacenter> topology

    - #### default_dc_name

          public java.lang.String default_dc_name

    - #### default_rack_name

          public java.lang.String default_rack_name

  - ### Constructor Detail

    - #### YamlFileNetworkTopologySnitch.TopologyConfig

          public YamlFileNetworkTopologySnitch.TopologyConfig()

Copyright © 2014 The Apache Software Foundation